Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# tests depend on jshint which is not packaged due to license issues
%global enable_tests 0
%global srcname dom-serializer

Name:           nodejs-%{srcname}
Version:        0.1.0
Release:        alt1_9
Summary:        Render dom nodes to string
License:        MIT
URL:            https://github.com/cheeriojs/dom-serializer
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(cheerio)
BuildRequires:  npm(expect.js)
BuildRequires:  npm(jshint)
BuildRequires:  npm(lodash)
BuildRequires:  npm(mocha)
BuildRequires:  npm(xyz)
%endif
Source44: import.info


%description
%{summary}.


%prep
%setup -q -n package
rm -rf node_modules
%nodejs_fixdep domelementtype ~1.x

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha test.js
%endif


%files
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_9
- new version

